@use 'toaster-js/default';

.toast {
  > .body {
    position: relative;
    padding: var(--spacer-default);
    border-radius: var(--border-radius);
    margin: 0 var(--spacer-large) var(--spacer-default) var(--spacer-default);
    box-shadow: 0 1px 2px rgb(0 0 0 / 50%);
    font-size: initial;

    &.info {
      background: var(--state-color-blue);
      color: var(--state-color-blue-alt);
    }

    &.warning {
      background: var(--state-color-orange);
      color: var(--state-color-orange-alt);
    }

    &.error {
      background: var(--state-color-red);
      color: var(--state-color-red-alt);
    }

    &.done {
      background: var(--state-color-green);
      color: var(--state-color-green-alt);
    }
  }
}
